// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.android.data;

// 현재가 대화 상태인지, 아닌지 설정
public class IsConv  {
	
	private static IsConv singleton = new IsConv();
	
	private boolean isConv = false;
	
	public static IsConv getInstance() {
		if (singleton == null) {
			synchronized (UserList.class) {
				singleton = new IsConv();
			}
		}
		return singleton;
	}
	
	private IsConv() {}

	public boolean isConv() {
		synchronized (IsConv .class) {
			return isConv;
		}
	}
	
	public void setConv(boolean flag) {
		synchronized (IsConv .class) {
			isConv = flag;
		}	
	}
}
