// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.android.pool;

import java.util.HashMap;
import java.util.Map;

import ju.thecompany.android.pool.buffer.ByteBufferPoolIF;

// 풀메니저
public class PoolManager {
	
	private static Map map = new HashMap();
	
	private static PoolManager instance = new PoolManager();
	
	private PoolManager() {}
	
	
	public static void registByteBufferPool(ByteBufferPoolIF byteBufferPool) {
		map.put("ByteBufferPool", byteBufferPool);
	}
	
	public static ByteBufferPoolIF getByteBufferPool() {
		return (ByteBufferPoolIF) map.get("ByteBufferPool");
	}

}
