// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.data;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateParser {

	//Date 타입을 스트링으로 변환
	public static String dateToString(Date date) {
		SimpleDateFormat dateForm = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.KOREA);
		return dateForm.format(date);
	}
	
	//스트링을 Date 타입으로 변환
	public static Date stringToDate(String str) {
		SimpleDateFormat dateForm = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.KOREA);
		Date date = null;
		try { date = dateForm.parse( str ); } catch (ParseException e) { e.printStackTrace(); }
		return date;
	}
}


