package ju.thecompany.server.controlserver.serverprocess.task;

import java.nio.channels.SocketChannel;


import ju.thecompany.data.TheCompanyDataToken;


public class MapReqTask extends AbstractTask{

	public  MapReqTask(TheCompanyDataToken sendToken, TheCompanyDataToken recvToken, Object obj, SocketChannel sc) {
		super(sendToken, recvToken, obj, sc);
		
		processTask();
	}
	
	private void processTask() {

		isBroadcast = false;
		isSendXML = true;
	}

	@Override
	public TheCompanyDataToken getSendToken() {
		return sendToken;
	}

	@Override
	public TheCompanyDataToken getRecvToken() {
		return recvToken;
	}

	@Override
	public Object getObject() {
		return obj;
	}
	
	@Override
	public boolean isBroadcast() {
		return isBroadcast;
	}

	@Override
	public boolean isSendXML() {
		return isSendXML;
	}
}
