// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.client.data;

import java.util.Date;

import com.google.gwt.i18n.client.DateTimeFormat;

public class DateFormatter { 


    private static DateTimeFormat dateFormatter = 
            DateTimeFormat.getFormat("yyyy-MM-dd HH:mm:ss"); 


    public static final Date timeToDate(String time) { 
            Date date = null; 
            try { 
                    date = dateFormatter.parse(time); 
            } catch(IllegalArgumentException e) {} 
            return date; 
    } 


    public static final String dateToTime(Date date) { 
            return dateFormatter.format(date); 
    } 


} 
