// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.server.rpc.service;

import java.sql.SQLException;

import ju.thecompany.web.client.data.User;
import ju.thecompany.web.client.rpc.service.LoginService;
import ju.thecompany.web.db.DBUtil;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

// 로그인 서비스
public class LoginServiceImpl extends RemoteServiceServlet implements LoginService{

	private static final long serialVersionUID = 1477997997104195342L;

	public String login(User user) {

    	try {
        	if(user != null && DBUtil.chkLogin(user.getUser(), user.getPasswd()))
        		return getThreadLocalRequest().getSession().getId();
		} catch (SQLException e) {
			e.printStackTrace();
		}
    	return null;
    	}
    }
