// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.server.rpc.service;

import javax.servlet.http.HttpSession;

import ju.thecompany.web.client.data.SessionId;
import ju.thecompany.web.client.rpc.service.SessionService;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

// 세션 서비스
public class SessionServiceImpl extends RemoteServiceServlet implements SessionService{

	private static final long serialVersionUID = -1656176343647481316L;

	public SessionId session(SessionId sessionId) {
		HttpSession httpSession = getThreadLocalRequest().getSession(false);
        if(httpSession != null){
            sessionId.setSessionId(httpSession.getId());
            return sessionId;
        }
        return null;
    }
}
