// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.server.rpc.service;

import java.sql.SQLException;

import ju.thecompany.web.client.data.Notice;
import ju.thecompany.web.client.rpc.service.UtilService;
import ju.thecompany.web.db.DBUtil;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

// 기능 서비스
public class UtilServiceImpl extends RemoteServiceServlet implements UtilService{

	private static final long serialVersionUID = 1477997997104195342L;

	// 공지 보내기
	public boolean sendNotice(Notice notice) {
		boolean result = false;
    	try {
        	DBUtil.insertNotice(notice);
        	result = true;
		} catch (SQLException e) {
			e.printStackTrace();
		}
    	return result;	
	}
}
