// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.data;

public class Semaphore {
	private int samnum;
	private final int samlimit;
	public Semaphore(int num) {
		samnum = samlimit = num;
	}
	
	public synchronized void semGet() throws InterruptedException {
		while(samnum == 0) {
			this.wait();
		}
		samnum--;
	}
	
	public synchronized void semRelease() throws InterruptedException {
		if ( samnum < samlimit) samnum++;
		this.notifyAll();
	}
}
