// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.android.data;

public class UserMsg extends User {

	private static final long serialVersionUID = -3085741679676991739L;
	private String text;
	private String date;
	
	public UserMsg(User user, String date, String text) {
		super(user);
		this.text = text;
		this.date = date;
	}
	
	public String getText() {
		return text;
	}
	
	public String getDate() {
		return date;
	}
}
