// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.android.data;

public class UserNoticeShort extends User {

	private static final long serialVersionUID = 273763204957377805L;
	private String text = "";
	private String title= "";
	private String date = "";
	
	public UserNoticeShort(User user, String date, String title, String text) {
		super(user);
		this.date = date;
		this.text = text;
		this.title = title;
	}
	
	public String getText() {
		return text;
	}
	
	public String getDate() {
		return date;
	}
	
	public String getTitle() {
		return title;
	}
}
