// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18

package ju.thecompany.android.db;

import ju.thecompany.android.data.UserNoticeShort;

import android.database.Cursor;
import android.database.SQLException;
import android.database.sqlite.SQLiteException;

// sqlite3사용을 위한 인터페이스
public interface DBAdapterIF  {

	public abstract void close();
	public abstract void open() throws SQLiteException;
	public abstract long insertMsg(UserNoticeShort userNoticeShort);	
	public abstract boolean removeMsg(long rowIndex);
	public abstract Cursor getAllUserNoticeShortCursor();
	public abstract UserNoticeShort getUserNoticeShort(long rowIndex) throws SQLException;

}