// Semaphore.java
// ju.thecompany.data.Semaphore 
// 쓰레드 안정성을 위한 세마포어
//
// 생성		: 090801 이주현(xog2000@gmail.com)
// 
//
// License	: GPL v3.0

package ju.thecompany.data;

public class Semaphore {
	private int samnum;
	private final int samlimit;
	public Semaphore(int num) {
		samnum = samlimit = num;
	}
	
	public synchronized void semGet() throws InterruptedException {
		while(samnum == 0) {
			this.wait();
		}
		samnum--;
	}
	
	public synchronized void semRelease() throws InterruptedException {
		if ( samnum < samlimit) samnum++;
		this.notifyAll();
	}
}
