package ju.thecompany.server.controlserver.serverprocess.jobqueue;

import java.nio.channels.SocketChannel;
import java.util.ArrayList;
import java.util.Date;
import java.util.Hashtable;

// 로긴한 멤버와 소켓체널
public class LoginMember extends Hashtable <String, ArrayList> {
	
	private static LoginMember singleton = new LoginMember();
	
	public static LoginMember getInstance() {
		if (singleton == null) {
			synchronized (LoginMember.class) {
				singleton = new LoginMember();
			}
		}
		return singleton;
	}
	
	private LoginMember() {}
	
	public void setConnMember(String id, SocketChannel sc, Date date) {
		synchronized (LoginMember.class) {
			ArrayList al = new ArrayList(2);
			al.add(sc);
			al.add(date);
			this.put(id, al);
		}
	}
	
	public ArrayList getConnMember(String id) {
		synchronized (LoginMember.class) {
			return this.get(id);
		}
	}

}
