package ju.thecompany.server.controlserver.serverprocess.jobqueue;

import java.util.ArrayList;
import java.util.Hashtable;

// 로긴한 멤버의 데이타
public class LoginMemberData extends Hashtable <String, ArrayList<String>>{
	
	private static LoginMemberData singleton = new LoginMemberData();
	
	public static LoginMemberData getInstance() {
		if (singleton == null) {
			synchronized (LoginMemberData.class) {
				singleton = new LoginMemberData();
			}
		}
		return singleton;
	}
	
	private LoginMemberData() {}

	public void addMember(String id, String ip, String port) {
		synchronized (LoginMemberData.class) {
			ArrayList <String> al = new ArrayList<String>(6);
			al.add(ip);
			al.add(port);
			this.put(id, al);
		}
	}
}
