package ju.thecompany.server.controlserver.serverprocess.loader;

import java.lang.reflect.Constructor;

import ju.thecompany.server.controlserver.serverprocess.jobqueue.Queue;

// 클래스 다이나믹 로더, AcceptProcess와 ReadWriteProcess를 생성한다.
public class DynamicClassLoader {

	public static Object createInstance(String type, Queue queue) throws Exception {
		Object obj = null;
		if (type != null) {
			Constructor con = Class.forName(type).getConstructor(new Class[] { Queue.class });
			obj = con.newInstance(new Object[] { queue });
		}
		return obj;
	}

}