package ju.thecompany.server.controlserver.serverprocess.task;

import java.nio.channels.SocketChannel;
import java.sql.SQLException;

import ju.thecompany.data.TheCompanyDataToken;
import  ju.thecompany.server.controlserver.dbprocess.DBControl;

public class ShortMsgSuccessTask extends AbstractTask{

	public  ShortMsgSuccessTask(TheCompanyDataToken sendToken, TheCompanyDataToken recvToken, Object obj, SocketChannel sc) {
		super(sendToken, recvToken, obj, sc);
		
		processTask();
	}
	
	private void processTask() {

		try {
			DBControl.getInstance().removeShortNotice(sendToken.id);
		} catch (SQLException e) {
			
			e.printStackTrace();
		}

		isBroadcast = false;
		isSendXML = false;
	}

	@Override
	public TheCompanyDataToken getSendToken() {
		return sendToken;
	}

	@Override
	public TheCompanyDataToken getRecvToken() {
		return recvToken;
	}

	@Override
	public Object getObject() {
		return obj;
	}
	
	@Override
	public boolean isBroadcast() {
		return isBroadcast;
	}

	@Override
	public boolean isSendXML() {
		return isSendXML;
	}
}
