// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.client;

import ju.thecompany.web.client.data.SessionId;
import ju.thecompany.web.client.data.UserInfo;

import com.google.gwt.core.client.EntryPoint;
import com.google.gwt.user.client.Cookies;
import com.google.gwt.user.client.ui.RootPanel;

public class TheCompanyWeb implements EntryPoint {

	public static final SessionId sessionId = new SessionId();
	public static final UserInfo myUserInfo = new UserInfo();

	public void onModuleLoad() {

		// 세션 데이타 받아옴
		sessionId.setSessionId(Cookies.getCookie("session"));
		myUserInfo.setID(Cookies.getCookie("tcid"));
		myUserInfo.setName(Cookies.getCookie("tcname"));
		
		
		RootPanel.get("topPanel").add(TopPanel.getInstance());
		RootPanel.get("bottomPanel").add(BottomPanel.getInstance());
		
	}
}
