// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.client.data;

import java.io.Serializable;
import java.util.Date;

public class UserInfo implements Serializable{

	private static final long serialVersionUID = -2894580127152360442L;
	private String id;
	private String passwd;
    private String name;
    private String email;
    private String addr;
    private String tel;
    private String hp;
    private String pic;
    private String dept;
    private String depttel;
    private String deptwhe;
    private String pos;
    private int posauth;
    private boolean chklogin;
    private Date logoutdate;
    private Date enterdate;

    // 세터
    public void setID(String id) 					{this.id = id;}
    public void setPW(String passwd) 				{this.passwd = passwd;}
    public void setName(String name) 				{this.name = name;}
    public void setEmail(String email) 				{this.email = email;}
    public void setAddr(String addr) 				{this.addr = addr;}
    public void setTel(String tel) 					{this.tel = tel;}
    public void setHP(String hp) 					{this.hp = hp;}
    public void setPic(String pic) 					{this.pic = pic;}
    public void setDept(String dept) 				{this.dept = dept;}
    public void setDeptTel(String depttel) 			{this.depttel = depttel;}
    public void setDeptWhe(String deptwhe) 			{this.deptwhe = deptwhe;}
    public void setPos(String pos) 					{this.pos = pos;}
    public void setPosAuth(int posauth) 			{this.posauth = posauth;}   
    public void setChkLogin(boolean chklogin) 		{this.chklogin = chklogin;}
    public void setLogoutDate(Date logoutdate) 		{this.logoutdate = logoutdate;}
    public void setEnterDate(Date enterdate) 		{this.enterdate = enterdate;}
    
    // 게터
    public String getID() 			{return id;}
    public String getPW() 			{return passwd;}
    public String getName() 		{return name;}
    public String getEmail() 		{return email;}
    public String getAddr()		 	{return addr;}
    public String getTel() 			{return tel;}
    public String getHP() 			{return hp;}
    public String getPic() 			{return pic;}
    public String getDept()			{return dept;}
    public String getDeptTel()		{return depttel;}
    public String getDeptWhe()		{return deptwhe;}
    public String getPos() 			{return pos;}
    public int getPosAuth() 		{return posauth;}
    public boolean getChkLogin() 	{return chklogin;}
    public String getLogoutDate() {
    	return DateFormatter.dateToTime(logoutdate);
    }
    public String getEnterDate() {
    	return DateFormatter.dateToTime(enterdate);
    }    
    
}