// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.server.rpc.service;

import java.sql.SQLException;

import ju.thecompany.web.client.data.UserInfo;
import ju.thecompany.web.client.rpc.service.GetUserInfoService;
import ju.thecompany.web.db.DBUtil;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

// 유저정보 획득
public class GetUserInfoServiceImpl extends RemoteServiceServlet implements GetUserInfoService{

	private static final long serialVersionUID = 1477997997104195342L;

	public UserInfo get(String id) {

		UserInfo result = null;
    	try {
        	result = DBUtil.getUserInfo(id);
		} catch (SQLException e) {
			e.printStackTrace();
		}
    	return result;
    	}
    }
