// License : Apache License v2.0
// Juhyun Lee (xog2000@gmail.com)
// 2009/10/18
//

package ju.thecompany.web.helpserver.dbprocess;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class MysqlDBControl {

	protected Connection conn;
	
	public MysqlDBControl() {
	}
	
	// DB를 열고, 이 커넥션을 반환한다.
	public Connection Open(String ip, String port, String dbName, String id, String pw) throws SQLException{

		DriverManager.registerDriver(new com.mysql.jdbc.Driver());
		String jdbcUrl="jdbc:mysql://" + ip + ":" + port + "/" + dbName;
		String userId=id;
		String userPass=pw;
		
		conn = DriverManager.getConnection(jdbcUrl, userId, userPass);
		
		System.out.println("Database Connect ok!");

	
		return conn;
	}
	
	// DB를 닫는다.
	public void DBClose() {
		
		if (conn != null) try { conn.close(); } catch (SQLException e) { e.printStackTrace(); }
	}
	
	public void finalize() {
		
		DBClose();
	}

}

